List credit grants on your account, whether held by a customer or on one of their billing schedules, newest first by default. Filter by billing schedule or customer, and use the pagination cursors to retrieve more results. Includes scheduled, unissued, depleted and expired grants. Issuance and validity are reported in state; availableBalance reports the credit usable now. Usage awaiting processing is not yet deducted from availableBalance.
GET
/
credit-grants
List credit grants
curl --request GET \ --url https://eu.sequencehq.com/api/credit-grants \ --header 'Authorization: <authorization>'
{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"Sequence","colors":{"primary":"#716FFF","light":"#716FFF","dark":"#716FFF"},"logo":{"light":"https://mintcdn.com/sequence/bptUiZLY1oEfBaTZ/logo/light.svg?fit=max\u0026auto=format\u0026n=bptUiZLY1oEfBaTZ\u0026q=85\u0026s=02adc18f83942b8bdc86ec2b67937e1a","dark":"https://mintcdn.com/sequence/bptUiZLY1oEfBaTZ/logo/dark.svg?fit=max\u0026auto=format\u0026n=bptUiZLY1oEfBaTZ\u0026q=85\u0026s=38182050e1a27d88e9d34b686c985f32"},"favicon":"https://mintcdn.com/sequence/mEkhIlLyJGyDgjJd/favicon.png?fit=max\u0026auto=format\u0026n=mEkhIlLyJGyDgjJd\u0026q=85\u0026s=aebbf4110c663663a51501b506edfcdc","api":{"mdx":{"server":["https://eu.sequencehq.com/api","https://sandbox.sequencehq.com/api"]}},"navbar":{"links":[{"href":"https://dashboard.sequencehq.com","label":"Sign in"}],"primary":{"type":"button","label":"Request Access","href":"https://access.sequencehq.com/"}},"footer":{"socials":{"twitter":"https://twitter.com/SequenceHQ_","github":"https://github.com/sequencehq","linkedin":"https://www.linkedin.com/company/sequence-hq"}},"integrations":{"koala":{"publicApiKey":"pk_c9f1d1603102eb7e1c3a4f6922a45f72991b"},"plausible":{"domain":"sequencehq.com"}},"styling":{"latex":true},"navigation":{"global":{"anchors":[{"anchor":"Speak to an expert","icon":"message-check","href":"https://access.sequencehq.com/"},{"anchor":"Changelog","icon":"bolt","href":"https://www.sequencehq.com/changelog"},{"anchor":"Blog","icon":"rss","href":"https://www.sequencehq.com/blog"},{"anchor":"Principles","icon":"bookmark","href":"https://www.sequencehq.com/principles"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"sequence","hasAudioNarration":false,"actualSubdomain":"sequence","customDomains":["docs.sequencehq.com"],"gitSource":{"type":"github","owner":"sequencehq","repo":"mintlify-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aecb58970f423ccd3d0f937","collectionId":"a0a2a3a3-3d0e-4f48-a46f-5fcf06c7c496","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aecb58970f423ccd3d0f937"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aee1ab561a4d257c32a9c54","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"API Reference","count":390},{"language":"default","tag":"Version 2024-07-30","count":189},{"language":"default","tag":"Latest Live API","count":189},{"language":"default","tag":"Invoices","count":161},{"language":"default","tag":"Guides","count":134},{"language":"default","tag":"Billing","count":65},{"language":"default","tag":"Connectors","count":44},{"language":"default","tag":"Customer","count":38},{"language":"default","tag":"Collections","count":36},{"language":"default","tag":"Usage","count":34}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"reference/latest/billing/list-credit-grants","slug":"/reference/latest/billing/list-credit-grants","pageMetadata":{"openapi":"billing.latest.product.live GET /credit-grants","title":"List credit grants","description":"List credit grants on your account, whether held by a customer or on one of their billing schedules, newest first by default. Filter by billing schedule or customer, and use the pagination cursors to retrieve more results. Includes scheduled, unissued, depleted and expired grants. Issuance and validity are reported in `state`; `availableBalance` reports the credit usable now. Usage awaiting processing is not yet deducted from `availableBalance`.","href":"/reference/latest/billing/list-credit-grants"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"List credit grants on your account, whether held by a customer or on one of their billing schedules, newest first by default. Filter by billing schedule or customer, and use the pagination cursors to retrieve more results. Includes scheduled, unissued, depleted and expired grants. Issuance and validity are reported in \", _jsx(_components.code, {\n children: \"state\"\n }), \"; \", _jsx(_components.code, {\n children: \"availableBalance\"\n }), \" reports the credit usable now. Usage awaiting processing is not yet deducted from \", _jsx(_components.code, {\n children: \"availableBalance\"\n }), \".\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"billing.latest.product.live GET /credit-grants","title":"List credit grants","description":"List credit grants on your account, whether held by a customer or on one of their billing schedules, newest first by default. Filter by billing schedule or customer, and use the pagination cursors to retrieve more results. Includes scheduled, unissued, depleted and expired grants. Issuance and validity are reported in `state`; `availableBalance` reports the credit usable now. Usage awaiting processing is not yet deducted from `availableBalance`.","href":"/reference/latest/billing/list-credit-grants"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Credits"],"summary":"List credit grants","description":"List credit grants on your account, whether held by a customer or on one of their billing schedules, newest first by default. Filter by billing schedule or customer, and use the pagination cursors to retrieve more results. Includes scheduled, unissued, depleted and expired grants. Issuance and validity are reported in `state`; `availableBalance` reports the credit usable now. Usage awaiting processing is not yet deducted from `availableBalance`.","operationId":"getCreditGrants","parameters":["ec624b21-3902-4ffa-a5a0-1037e28f6ebc","37f54a2a-ad30-4c86-a6f1-b84af9349d06","53f1e92b-3feb-4908-9b1f-0462d6235261","49f07b78-2b47-4b7e-82cd-16db82bd7738","814a6720-1e3e-4d18-ba2e-606edcd045e0","fcd88b4f-8826-4c2d-a417-366e933a9db7","f76469ff-5594-4fcb-98a6-49c87055d1bb","46b52593-7a89-4720-b261-1c89bcead09f"],"responses":{"200":"888b93b8-e764-4591-b153-795e079342f6","400":"17e32ac2-e954-4595-b4a4-976704aec691","401":"25692ea6-1966-4d70-ab67-d482d8fe900f","500":"aa684f3c-63bb-469e-b990-09bde83066d2"},"method":"get","type":"path","servers":[],"security":[],"path":"/credit-grants","baseUrlOptions":["https://eu.sequencehq.com/api","https://sandbox.sequencehq.com/api"],"title":"List credit grants","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"ec624b21-3902-4ffa-a5a0-1037e28f6ebc":{"name":"Authorization","in":"header","description":"Your [API credentials](/reference/authentication). Eg. `Basic {credentials}`.","required":true,"schema":{"type":"string","isRequired":true,"description":"Your [API credentials](/reference/authentication). Eg. `Basic {credentials}`.","uniqueKey":"","typeLabel":"string"}},"37f54a2a-ad30-4c86-a6f1-b84af9349d06":{"name":"billingScheduleId","in":"query","description":"Return only the grants belonging to this billing schedule. Customer grants are never included.","required":false,"schema":{"type":"string","isRequired":false,"description":"Return only the grants belonging to this billing schedule. Customer grants are never included.","uniqueKey":"","typeLabel":"string"}},"53f1e92b-3feb-4908-9b1f-0462d6235261":{"name":"customerId","in":"query","description":"Return only the grants held by this customer: those held by the customer directly and those on any of their billing schedules.","required":false,"schema":{"type":"string","isRequired":false,"description":"Return only the grants held by this customer: those held by the customer directly and those on any of their billing schedules.","uniqueKey":"","typeLabel":"string"}},"49f07b78-2b47-4b7e-82cd-16db82bd7738":{"name":"limit","in":"query","description":"Maximum number of grants per page, from 1 to 100. Defaults to 20.","required":false,"schema":{"type":"integer","isRequired":false,"description":"Maximum number of grants per page, from 1 to 100. Defaults to 20.","uniqueKey":"","typeLabel":"integer"}},"814a6720-1e3e-4d18-ba2e-606edcd045e0":{"name":"after","in":"query","description":"Cursor for the next page, from `pagination.after`. Omit for the first page. Use either `after` or `before`, not both.","required":false,"schema":{"type":"string","isRequired":false,"description":"Cursor for the next page, from `pagination.after`. Omit for the first page. Use either `after` or `before`, not both.","uniqueKey":"","typeLabel":"string"}},"fcd88b4f-8826-4c2d-a417-366e933a9db7":{"name":"before","in":"query","description":"Cursor for the previous page, from `pagination.before`. Omit for the first page. Use either `after` or `before`, not both.","required":false,"schema":{"type":"string","isRequired":false,"description":"Cursor for the previous page, from `pagination.before`. Omit for the first page. Use either `after` or `before`, not both.","uniqueKey":"","typeLabel":"string"}},"f76469ff-5594-4fcb-98a6-49c87055d1bb":{"name":"sortOrder","in":"query","description":"Order by creation date: DESC for newest first, ASC for oldest first. Defaults to DESC.","required":false,"schema":{"type":"string","isRequired":false,"description":"Order by creation date: DESC for newest first, ASC for oldest first. Defaults to DESC.","uniqueKey":"","typeLabel":"string"}},"46b52593-7a89-4720-b261-1c89bcead09f":{"name":"sequence-version","in":"header","description":"Use this header to select an API version","required":false,"schema":{"type":"string","enum":["2024-07-30"],"isRequired":false,"description":"Use this header to select an API version","uniqueKey":"","typeLabel":"enum\u003cstring>"}}},"responses":{"888b93b8-e764-4591-b153-795e079342f6":{"description":"OK","content":{"application/json":{"schema":{"required":["items","pagination"],"type":"object","example":{"items":[{"id":"0199ca8a-e7e8-73b3-bd69-a316a23231a0","sequenceAccountId":"dce9ae85-d8d0-42b4-bcad-f221a64363c6","customerId":"61b083e0-1faa-47ca-9aeb-6205da8f6c47","scope":"SCHEDULE","billingScheduleId":"0199ca86-560e-7ac4-999f-bee364f7e4e7","phaseId":"0199ca87-6d80-7836-aa09-10386a08d761","name":"Monthly usage credits","creditUnitType":"CURRENCY","currency":"GBP","metricId":"f092246c-6b90-4106-bcca-304ccf06bf45","amount":100,"availableBalance":79.35,"state":{"issuance":"ISSUED","validity":"CURRENT"},"costOfCredit":100,"taxRateId":"179d1ab3-cc96-48e2-9310-067b0b42d47c","effectiveDate":"2026-01-01","expiryDate":"2026-01-31","createdAt":"2026-01-01T10:00:00Z","updatedAt":"2026-01-01T10:00:00Z","grantRefreshFrequency":"MONTHLY","billingFrequency":"MONTHLY","rolloverMode":"NONE","sourceGrantId":"0199ca8a-e7e8-73b3-bd69-a316a2323100","restrictToPrices":["0199ca89-2d9e-7e3d-914c-7de86e8fc7ce"],"integrationIds":[{"service":"Xero","id":"74ed2615-4730-49ab-9445-74f31723a206","isPending":false}]},{"id":"0199ca8a-e7e8-73b3-bd69-a316a23231b1","sequenceAccountId":"dce9ae85-d8d0-42b4-bcad-f221a64363c6","customerId":"61b083e0-1faa-47ca-9aeb-6205da8f6c47","scope":"SCHEDULE","billingScheduleId":"0199ca86-560e-7ac4-999f-bee364f7e4e7","phaseId":"0199ca87-6d80-7836-aa09-10386a08d761","name":"Next month's usage credits","creditUnitType":"CURRENCY","currency":"GBP","amount":100,"availableBalance":0,"state":{"issuance":"ISSUED","validity":"SCHEDULED"},"costOfCredit":100,"taxRateId":"179d1ab3-cc96-48e2-9310-067b0b42d47c","effectiveDate":"2026-02-01","expiryDate":"2026-02-28","createdAt":"2026-01-01T10:00:00Z","updatedAt":"2026-01-01T10:00:00Z","grantRefreshFrequency":"MONTHLY","billingFrequency":"MONTHLY","rolloverMode":"NONE","restrictToPrices":["0199ca89-2d9e-7e3d-914c-7de86e8fc7ce"],"integrationIds":[{"service":"Xero","id":"74ed2615-4730-49ab-9445-74f31723a206","isPending":false}]},{"id":"0199ca8a-e7e8-73b3-bd69-a316a23231c2","sequenceAccountId":"dce9ae85-d8d0-42b4-bcad-f221a64363c6","customerId":"61b083e0-1faa-47ca-9aeb-6205da8f6c47","scope":"SCHEDULE","billingScheduleId":"0199ca86-560e-7ac4-999f-bee364f7e4e7","phaseId":"0199ca87-6d80-7836-aa09-10386a08d761","name":"Prepaid credits","creditUnitType":"CURRENCY","currency":"GBP","amount":100,"availableBalance":0,"state":{"issuance":"PENDING","validity":"CURRENT"},"costOfCredit":100,"taxRateId":"179d1ab3-cc96-48e2-9310-067b0b42d47c","effectiveDate":"2026-01-01","expiryDate":"2026-01-31","createdAt":"2026-01-01T10:00:00Z","updatedAt":"2026-01-01T10:00:00Z","grantRefreshFrequency":"MONTHLY","billingFrequency":"MONTHLY","rolloverMode":"NONE","restrictToPrices":["0199ca89-2d9e-7e3d-914c-7de86e8fc7ce"],"integrationIds":[{"service":"Xero","id":"74ed2615-4730-49ab-9445-74f31723a206","isPending":false}]},{"id":"0199ca8a-e7e8-73b3-bd69-a316a23231d3","sequenceAccountId":"dce9ae85-d8d0-42b4-bcad-f221a64363c6","customerId":"61b083e0-1faa-47ca-9aeb-6205da8f6c47","scope":"CUSTOMER","name":"Goodwill credit","creditUnitType":"CURRENCY","currency":"GBP","amount":100,"availableBalance":79.35,"state":{"issuance":"ISSUED","validity":"CURRENT"},"costOfCredit":100,"taxRateId":"179d1ab3-cc96-48e2-9310-067b0b42d47c","effectiveDate":"2026-01-01","expiryDate":"2026-01-31","createdAt":"2026-01-01T10:00:00Z","updatedAt":"2026-01-01T10:00:00Z","grantRefreshFrequency":"NONE","billingFrequency":"ONE_TIME","rolloverMode":"NONE","restrictToPrices":[],"integrationIds":[{"service":"Xero","id":"74ed2615-4730-49ab-9445-74f31723a206","isPending":false}]}],"pagination":{"after":"MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3","before":"MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz","totalResultSize":10}},"properties":{"items":{"type":"array","description":"Credit grants on this page, held by a customer or on a billing schedule.","example":[{"id":"0199ca8a-e7e8-73b3-bd69-a316a23231a0","sequenceAccountId":"dce9ae85-d8d0-42b4-bcad-f221a64363c6","customerId":"61b083e0-1faa-47ca-9aeb-6205da8f6c47","scope":"SCHEDULE","billingScheduleId":"0199ca86-560e-7ac4-999f-bee364f7e4e7","phaseId":"0199ca87-6d80-7836-aa09-10386a08d761","name":"Monthly usage credits","creditUnitType":"CURRENCY","currency":"GBP","metricId":"f092246c-6b90-4106-bcca-304ccf06bf45","amount":100,"availableBalance":79.35,"state":{"issuance":"ISSUED","validity":"CURRENT"},"costOfCredit":100,"taxRateId":"179d1ab3-cc96-48e2-9310-067b0b42d47c","effectiveDate":"2026-01-01","expiryDate":"2026-01-31","createdAt":"2026-01-01T10:00:00Z","updatedAt":"2026-01-01T10:00:00Z","grantRefreshFrequency":"MONTHLY","billingFrequency":"MONTHLY","rolloverMode":"NONE","sourceGrantId":"0199ca8a-e7e8-73b3-bd69-a316a2323100","restrictToPrices":["0199ca89-2d9e-7e3d-914c-7de86e8fc7ce"],"integrationIds":[{"service":"Xero","id":"74ed2615-4730-49ab-9445-74f31723a206","isPending":false}]},{"id":"0199ca8a-e7e8-73b3-bd69-a316a23231b1","sequenceAccountId":"dce9ae85-d8d0-42b4-bcad-f221a64363c6","customerId":"61b083e0-1faa-47ca-9aeb-6205da8f6c47","scope":"SCHEDULE","billingScheduleId":"0199ca86-560e-7ac4-999f-bee364f7e4e7","phaseId":"0199ca87-6d80-7836-aa09-10386a08d761","name":"Next month's usage credits","creditUnitType":"CURRENCY","currency":"GBP","amount":100,"availableBalance":0,"state":{"issuance":"ISSUED","validity":"SCHEDULED"},"costOfCredit":100,"taxRateId":"179d1ab3-cc96-48e2-9310-067b0b42d47c","effectiveDate":"2026-02-01","expiryDate":"2026-02-28","createdAt":"2026-01-01T10:00:00Z","updatedAt":"2026-01-01T10:00:00Z","grantRefreshFrequency":"MONTHLY","billingFrequency":"MONTHLY","rolloverMode":"NONE","restrictToPrices":["0199ca89-2d9e-7e3d-914c-7de86e8fc7ce"],"integrationIds":[{"service":"Xero","id":"74ed2615-4730-49ab-9445-74f31723a206","isPending":false}]},{"id":"0199ca8a-e7e8-73b3-bd69-a316a23231c2","sequenceAccountId":"dce9ae85-d8d0-42b4-bcad-f221a64363c6","customerId":"61b083e0-1faa-47ca-9aeb-6205da8f6c47","scope":"SCHEDULE","billingScheduleId":"0199ca86-560e-7ac4-999f-bee364f7e4e7","phaseId":"0199ca87-6d80-7836-aa09-10386a08d761","name":"Prepaid credits","creditUnitType":"CURRENCY","currency":"GBP","amount":100,"availableBalance":0,"state":{"issuance":"PENDING","validity":"CURRENT"},"costOfCredit":100,"taxRateId":"179d1ab3-cc96-48e2-9310-067b0b42d47c","effectiveDate":"2026-01-01","expiryDate":"2026-01-31","createdAt":"2026-01-01T10:00:00Z","updatedAt":"2026-01-01T10:00:00Z","grantRefreshFrequency":"MONTHLY","billingFrequency":"MONTHLY","rolloverMode":"NONE","restrictToPrices":["0199ca89-2d9e-7e3d-914c-7de86e8fc7ce"],"integrationIds":[{"service":"Xero","id":"74ed2615-4730-49ab-9445-74f31723a206","isPending":false}]},{"id":"0199ca8a-e7e8-73b3-bd69-a316a23231d3","sequenceAccountId":"dce9ae85-d8d0-42b4-bcad-f221a64363c6","customerId":"61b083e0-1faa-47ca-9aeb-6205da8f6c47","scope":"CUSTOMER","name":"Goodwill credit","creditUnitType":"CURRENCY","currency":"GBP","amount":100,"availableBalance":79.35,"state":{"issuance":"ISSUED","validity":"CURRENT"},"costOfCredit":100,"taxRateId":"179d1ab3-cc96-48e2-9310-067b0b42d47c","effectiveDate":"2026-01-01","expiryDate":"2026-01-31","createdAt":"2026-01-01T10:00:00Z","updatedAt":"2026-01-01T10:00:00Z","grantRefreshFrequency":"NONE","billingFrequency":"ONE_TIME","rolloverMode":"NONE","restrictToPrices":[],"integrationIds":[{"service":"Xero","id":"74ed2615-4730-49ab-9445-74f31723a206","isPending":false}]}],"items":{"required":["amount","availableBalance","billingFrequency","createdAt","creditUnitType","customerId","grantRefreshFrequency","id","integrationIds","name","restrictToPrices","rolloverMode","scope","sequenceAccountId","state","updatedAt"],"type":"object","example":{"id":"0199ca8a-e7e8-73b3-bd69-a316a23231a0","sequenceAccountId":"dce9ae85-d8d0-42b4-bcad-f221a64363c6","customerId":"61b083e0-1faa-47ca-9aeb-6205da8f6c47","scope":"SCHEDULE","billingScheduleId":"0199ca86-560e-7ac4-999f-bee364f7e4e7","phaseId":"0199ca87-6d80-7836-aa09-10386a08d761","name":"Monthly usage credits","creditUnitType":"CURRENCY","currency":"GBP","metricId":"f092246c-6b90-4106-bcca-304ccf06bf45","amount":100,"availableBalance":79.35,"state":{"issuance":"ISSUED","validity":"CURRENT"},"costOfCredit":100,"taxRateId":"179d1ab3-cc96-48e2-9310-067b0b42d47c","effectiveDate":"2026-01-01","expiryDate":"2026-01-31","createdAt":"2026-01-01T10:00:00Z","updatedAt":"2026-01-01T10:00:00Z","grantRefreshFrequency":"MONTHLY","billingFrequency":"MONTHLY","rolloverMode":"NONE","sourceGrantId":"0199ca8a-e7e8-73b3-bd69-a316a2323100","restrictToPrices":["0199ca89-2d9e-7e3d-914c-7de86e8fc7ce"],"integrationIds":[{"service":"Xero","id":"74ed2615-4730-49ab-9445-74f31723a206","isPending":false}]},"properties":{"id":{"type":"string","description":"Credit grant ID.","example":"0199ca8a-e7e8-73b3-bd69-a316a23231a0","isRequired":true,"uniqueKey":"\\items.items.[INDEX].id","typeLabel":"string"},"sequenceAccountId":{"type":"string","description":"Sequence account ID.","example":"dce9ae85-d8d0-42b4-bcad-f221a64363c6","isRequired":true,"uniqueKey":"\\items.items.[INDEX].sequenceAccountId","typeLabel":"string"},"customerId":{"type":"string","description":"ID of the customer receiving the credit.","example":"61b083e0-1faa-47ca-9aeb-6205da8f6c47","isRequired":true,"uniqueKey":"\\items.items.[INDEX].customerId","typeLabel":"string"},"scope":{"type":"string","example":"SCHEDULE","enum":["CUSTOMER","SCHEDULE"],"description":"Whether the grant is held by the customer directly (CUSTOMER) or belongs to one of their billing schedules (SCHEDULE).","isRequired":true,"uniqueKey":"\\items.items.[INDEX].scope","typeLabel":"enum\u003cstring>"},"name":{"type":"string","description":"Name of the credit grant.","example":"Monthly usage credits","isRequired":true,"uniqueKey":"\\items.items.[INDEX].name","typeLabel":"string"},"creditUnitType":{"type":"string","example":"CURRENCY","enum":["CURRENCY","METRIC"],"description":"Whether credit is measured in currency or usage-metric units.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].creditUnitType","typeLabel":"enum\u003cstring>"},"amount":{"type":"number","description":"The configured credit allowance. Available credit may exceed this amount after rollover. The difference between this amount and available credit does not represent usage.","example":100,"isRequired":true,"uniqueKey":"\\items.items.[INDEX].amount","typeLabel":"number"},"availableBalance":{"type":"number","description":"Credit currently available for eligible prices. Never negative. Zero before the effective date, while awaiting issuance, when no credit remains, or after expiry. Usage awaiting processing is not yet deducted. Dates are evaluated in UTC and are inclusive.","example":79.35,"isRequired":true,"uniqueKey":"\\items.items.[INDEX].availableBalance","typeLabel":"number"},"state":{"required":["issuance","validity"],"type":"object","description":"Independent issuance and date-validity states. availableBalance reports the credit usable now.","example":{"issuance":"ISSUED","validity":"CURRENT"},"properties":{"issuance":{"type":"string","example":"ISSUED","enum":["PENDING","ISSUED"],"description":"PENDING until the grant's credits are issued; ISSUED thereafter, including after depletion or expiry. Cash credits are issued when their charging invoice is finalised; this does not confirm payment. Metric grants are always ISSUED. Applies to the grant, not individual recurring allowances.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].state.issuance","typeLabel":"enum\u003cstring>"},"validity":{"type":"string","example":"CURRENT","enum":["SCHEDULED","CURRENT","EXPIRED"],"description":"SCHEDULED before the effective date, CURRENT within the validity window, or EXPIRED after the expiry date. Dates are inclusive and evaluated in UTC; a missing date leaves that boundary unrestricted. CURRENT does not imply issued credits or a positive available balance.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].state.validity","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"\\items.items.[INDEX].state","typeLabel":"object"},"createdAt":{"type":"string","description":"When the credit grant was created.","example":"2026-01-01T10:00:00Z","isRequired":true,"uniqueKey":"\\items.items.[INDEX].createdAt","typeLabel":"string"},"updatedAt":{"type":"string","description":"When the grant's configuration last changed. Changes to the available balance do not update this timestamp.","example":"2026-01-01T10:00:00Z","isRequired":true,"uniqueKey":"\\items.items.[INDEX].updatedAt","typeLabel":"string"},"grantRefreshFrequency":{"type":"string","example":"MONTHLY","enum":["NONE","MONTHLY","QUARTERLY","HALF_YEARLY","YEARLY"],"description":"How often the credit grant refreshes its balance.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].grantRefreshFrequency","typeLabel":"enum\u003cstring>"},"billingFrequency":{"type":"string","example":"MONTHLY","enum":["ONE_TIME","MONTHLY","QUARTERLY","HALF_YEARLY","YEARLY"],"description":"How often the customer is charged for the credit grant.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].billingFrequency","typeLabel":"enum\u003cstring>"},"rolloverMode":{"type":"string","example":"NONE","enum":["NONE","ON_GRANT_REFRESH","ON_GRANT_REFRESH_AND_PHASE"],"description":"Whether unused balance carries over when the grant refreshes.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].rolloverMode","typeLabel":"enum\u003cstring>"},"restrictToPrices":{"type":"array","description":"IDs of prices eligible to use this credit. Includes all prices in the phase when no restriction was specified. Empty for a customer grant.","example":["0199ca89-2d9e-7e3d-914c-7de86e8fc7ce"],"items":{"type":"string","uniqueKey":"\\items.items.[INDEX].restrictToPrices.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"\\items.items.[INDEX].restrictToPrices","typeLabel":"string[]"},"integrationIds":{"type":"array","description":"Identifiers for this credit grant in external integrations.","example":[{"service":"Xero","id":"74ed2615-4730-49ab-9445-74f31723a206","isPending":false}],"items":{"required":["id","isPending","service"],"type":"object","example":{"service":"Xero","id":"123","isPending":false},"properties":{"service":{"type":"string","example":"Xero","enum":["Amazon_Redshift","GoCardless","Google_BigQuery","Google_Sheets","HubSpot","NetSuite","QuickBooks_Online","Salesforce","Slack","Snowflake","Stripe","Xero","Avalara","Anrok","Attio","Numeral","Rillet","Sphere"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].integrationIds.items.[INDEX].service","typeLabel":"enum\u003cstring>"},"id":{"type":"string","example":"123","isRequired":true,"uniqueKey":"\\items.items.[INDEX].integrationIds.items.[INDEX].id","typeLabel":"string"},"isPending":{"type":"boolean","example":false,"isRequired":true,"uniqueKey":"\\items.items.[INDEX].integrationIds.items.[INDEX].isPending","typeLabel":"boolean"}},"uniqueKey":"\\items.items.[INDEX].integrationIds.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"\\items.items.[INDEX].integrationIds","typeLabel":"object[]"},"billingScheduleId":{"oneOf":[{"type":"string","description":"ID of the billing schedule the grant belongs to. Absent for a customer grant.","example":"0199ca86-560e-7ac4-999f-bee364f7e4e7","uniqueKey":"\\items.items.[INDEX].billingScheduleId.oneOf.0","typeLabel":"string"},{"type":"null","description":"ID of the billing schedule the grant belongs to. Absent for a customer grant.","example":"0199ca86-560e-7ac4-999f-bee364f7e4e7","uniqueKey":"\\items.items.[INDEX].billingScheduleId.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].billingScheduleId","typeLabel":"string | null"},"phaseId":{"oneOf":[{"type":"string","description":"ID of the billing schedule phase the grant belongs to. Absent for a customer grant.","example":"0199ca87-6d80-7836-aa09-10386a08d761","uniqueKey":"\\items.items.[INDEX].phaseId.oneOf.0","typeLabel":"string"},{"type":"null","description":"ID of the billing schedule phase the grant belongs to. Absent for a customer grant.","example":"0199ca87-6d80-7836-aa09-10386a08d761","uniqueKey":"\\items.items.[INDEX].phaseId.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].phaseId","typeLabel":"string | null"},"currency":{"oneOf":[{"type":"string","example":"GBP","enum":["AED","ARS","AUD","BRL","BGN","CAD","CHF","CLP","CNY","COP","CZK","DKK","EGP","EUR","GBP","HKD","ILS","INR","ISK","JPY","KRW","MXN","NOK","NZD","PLN","SAR","SEK","SGD","THB","USD","UYU","ZAR"],"description":"Currency the grant is denominated in. Null when creditUnitType is METRIC.","uniqueKey":"\\items.items.[INDEX].currency.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","example":"GBP","enum":["AED","ARS","AUD","BRL","BGN","CAD","CHF","CLP","CNY","COP","CZK","DKK","EGP","EUR","GBP","HKD","ILS","INR","ISK","JPY","KRW","MXN","NOK","NZD","PLN","SAR","SEK","SGD","THB","USD","UYU","ZAR"],"description":"Currency the grant is denominated in. Null when creditUnitType is METRIC.","uniqueKey":"\\items.items.[INDEX].currency.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].currency","typeLabel":"enum\u003cstring> | null"},"metricId":{"oneOf":[{"type":"string","description":"ID of the usage metric the credit is measured in when creditUnitType is METRIC.","example":"f092246c-6b90-4106-bcca-304ccf06bf45","uniqueKey":"\\items.items.[INDEX].metricId.oneOf.0","typeLabel":"string"},{"type":"null","description":"ID of the usage metric the credit is measured in when creditUnitType is METRIC.","example":"f092246c-6b90-4106-bcca-304ccf06bf45","uniqueKey":"\\items.items.[INDEX].metricId.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].metricId","typeLabel":"string | null"},"costOfCredit":{"oneOf":[{"type":"number","description":"The amount charged to the customer for the credit grant.","example":100,"uniqueKey":"\\items.items.[INDEX].costOfCredit.oneOf.0","typeLabel":"number"},{"type":"null","description":"The amount charged to the customer for the credit grant.","example":100,"uniqueKey":"\\items.items.[INDEX].costOfCredit.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].costOfCredit","typeLabel":"number | null"},"taxRateId":{"oneOf":[{"type":"string","description":"Tax rate ID for the credit grant.","example":"179d1ab3-cc96-48e2-9310-067b0b42d47c","uniqueKey":"\\items.items.[INDEX].taxRateId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Tax rate ID for the credit grant.","example":"179d1ab3-cc96-48e2-9310-067b0b42d47c","uniqueKey":"\\items.items.[INDEX].taxRateId.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].taxRateId","typeLabel":"string | null"},"effectiveDate":{"oneOf":[{"type":"string","description":"First day the credit can be used, inclusive, in UTC.","example":"2026-01-01","uniqueKey":"\\items.items.[INDEX].effectiveDate.oneOf.0","typeLabel":"string"},{"type":"null","description":"First day the credit can be used, inclusive, in UTC.","example":"2026-01-01","uniqueKey":"\\items.items.[INDEX].effectiveDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].effectiveDate","typeLabel":"string | null"},"expiryDate":{"oneOf":[{"type":"string","description":"Last day the credit can be used, inclusive, in UTC.","example":"2026-01-31","uniqueKey":"\\items.items.[INDEX].expiryDate.oneOf.0","typeLabel":"string"},{"type":"null","description":"Last day the credit can be used, inclusive, in UTC.","example":"2026-01-31","uniqueKey":"\\items.items.[INDEX].expiryDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].expiryDate","typeLabel":"string | null"},"sourceGrantId":{"oneOf":[{"type":"string","description":"ID of the grant whose unused credit was rolled over into this grant.","example":"0199ca8a-e7e8-73b3-bd69-a316a2323100","uniqueKey":"\\items.items.[INDEX].sourceGrantId.oneOf.0","typeLabel":"string"},{"type":"null","description":"ID of the grant whose unused credit was rolled over into this grant.","example":"0199ca8a-e7e8-73b3-bd69-a316a2323100","uniqueKey":"\\items.items.[INDEX].sourceGrantId.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].sourceGrantId","typeLabel":"string | null"}},"uniqueKey":"\\items.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"\\items","typeLabel":"object[]"},"pagination":{"type":"object","description":"Results pagination","example":{"after":"MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3","before":"MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz","totalResultSize":10},"properties":{"after":{"oneOf":[{"type":"string","description":"Cursor for the page after this (if it exists)","example":"MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3","uniqueKey":"pagination.after.oneOf.0","typeLabel":"string"},{"type":"null","description":"Cursor for the page after this (if it exists)","example":"MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3","uniqueKey":"pagination.after.oneOf.1","typeLabel":"null"}],"uniqueKey":"pagination.after","typeLabel":"string | null"},"before":{"oneOf":[{"type":"string","description":"Cursor for the page before this (if it exists)","example":"MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz","uniqueKey":"pagination.before.oneOf.0","typeLabel":"string"},{"type":"null","description":"Cursor for the page before this (if it exists)","example":"MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz","uniqueKey":"pagination.before.oneOf.1","typeLabel":"null"}],"uniqueKey":"pagination.before","typeLabel":"string | null"},"totalResultSize":{"oneOf":[{"type":"integer","description":"Total number of entries across all pages","format":"int64","example":10,"uniqueKey":"pagination.totalResultSize.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","description":"Total number of entries across all pages","format":"int64","example":10,"uniqueKey":"pagination.totalResultSize.oneOf.1","typeLabel":"null"}],"uniqueKey":"pagination.totalResultSize","typeLabel":"integer\u003cint64> | null"}},"isRequired":true,"uniqueKey":"pagination","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"ListCreditGrantsV2Response":{"title":"ListCreditGrantsV2Response","value":{"items":[{"id":"0199ca8a-e7e8-73b3-bd69-a316a23231a0","sequenceAccountId":"dce9ae85-d8d0-42b4-bcad-f221a64363c6","customerId":"61b083e0-1faa-47ca-9aeb-6205da8f6c47","scope":"SCHEDULE","billingScheduleId":"0199ca86-560e-7ac4-999f-bee364f7e4e7","phaseId":"0199ca87-6d80-7836-aa09-10386a08d761","name":"Monthly usage credits","creditUnitType":"CURRENCY","currency":"GBP","metricId":"f092246c-6b90-4106-bcca-304ccf06bf45","amount":100,"availableBalance":79.35,"state":{"issuance":"ISSUED","validity":"CURRENT"},"costOfCredit":100,"taxRateId":"179d1ab3-cc96-48e2-9310-067b0b42d47c","effectiveDate":"2026-01-01","expiryDate":"2026-01-31","createdAt":"2026-01-01T10:00:00Z","updatedAt":"2026-01-01T10:00:00Z","grantRefreshFrequency":"MONTHLY","billingFrequency":"MONTHLY","rolloverMode":"NONE","sourceGrantId":"0199ca8a-e7e8-73b3-bd69-a316a2323100","restrictToPrices":["0199ca89-2d9e-7e3d-914c-7de86e8fc7ce"],"integrationIds":[{"service":"Xero","id":"74ed2615-4730-49ab-9445-74f31723a206","isPending":false}]},{"id":"0199ca8a-e7e8-73b3-bd69-a316a23231b1","sequenceAccountId":"dce9ae85-d8d0-42b4-bcad-f221a64363c6","customerId":"61b083e0-1faa-47ca-9aeb-6205da8f6c47","scope":"SCHEDULE","billingScheduleId":"0199ca86-560e-7ac4-999f-bee364f7e4e7","phaseId":"0199ca87-6d80-7836-aa09-10386a08d761","name":"Next month's usage credits","creditUnitType":"CURRENCY","currency":"GBP","amount":100,"availableBalance":0,"state":{"issuance":"ISSUED","validity":"SCHEDULED"},"costOfCredit":100,"taxRateId":"179d1ab3-cc96-48e2-9310-067b0b42d47c","effectiveDate":"2026-02-01","expiryDate":"2026-02-28","createdAt":"2026-01-01T10:00:00Z","updatedAt":"2026-01-01T10:00:00Z","grantRefreshFrequency":"MONTHLY","billingFrequency":"MONTHLY","rolloverMode":"NONE","restrictToPrices":["0199ca89-2d9e-7e3d-914c-7de86e8fc7ce"],"integrationIds":[{"service":"Xero","id":"74ed2615-4730-49ab-9445-74f31723a206","isPending":false}]},{"id":"0199ca8a-e7e8-73b3-bd69-a316a23231c2","sequenceAccountId":"dce9ae85-d8d0-42b4-bcad-f221a64363c6","customerId":"61b083e0-1faa-47ca-9aeb-6205da8f6c47","scope":"SCHEDULE","billingScheduleId":"0199ca86-560e-7ac4-999f-bee364f7e4e7","phaseId":"0199ca87-6d80-7836-aa09-10386a08d761","name":"Prepaid credits","creditUnitType":"CURRENCY","currency":"GBP","amount":100,"availableBalance":0,"state":{"issuance":"PENDING","validity":"CURRENT"},"costOfCredit":100,"taxRateId":"179d1ab3-cc96-48e2-9310-067b0b42d47c","effectiveDate":"2026-01-01","expiryDate":"2026-01-31","createdAt":"2026-01-01T10:00:00Z","updatedAt":"2026-01-01T10:00:00Z","grantRefreshFrequency":"MONTHLY","billingFrequency":"MONTHLY","rolloverMode":"NONE","restrictToPrices":["0199ca89-2d9e-7e3d-914c-7de86e8fc7ce"],"integrationIds":[{"service":"Xero","id":"74ed2615-4730-49ab-9445-74f31723a206","isPending":false}]},{"id":"0199ca8a-e7e8-73b3-bd69-a316a23231d3","sequenceAccountId":"dce9ae85-d8d0-42b4-bcad-f221a64363c6","customerId":"61b083e0-1faa-47ca-9aeb-6205da8f6c47","scope":"CUSTOMER","name":"Goodwill credit","creditUnitType":"CURRENCY","currency":"GBP","amount":100,"availableBalance":79.35,"state":{"issuance":"ISSUED","validity":"CURRENT"},"costOfCredit":100,"taxRateId":"179d1ab3-cc96-48e2-9310-067b0b42d47c","effectiveDate":"2026-01-01","expiryDate":"2026-01-31","createdAt":"2026-01-01T10:00:00Z","updatedAt":"2026-01-01T10:00:00Z","grantRefreshFrequency":"NONE","billingFrequency":"ONE_TIME","rolloverMode":"NONE","restrictToPrices":[],"integrationIds":[{"service":"Xero","id":"74ed2615-4730-49ab-9445-74f31723a206","isPending":false}]}],"pagination":{"after":"MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3","before":"MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz","totalResultSize":10}}}},"exampleType":"examples"}},"exampleType":"examples"},"17e32ac2-e954-4595-b4a4-976704aec691":{"description":"Bad Request","content":{},"exampleType":"generated"},"25692ea6-1966-4d70-ab67-d482d8fe900f":{"description":"Unauthorized","content":{},"exampleType":"generated"},"aa684f3c-63bb-469e-b990-09bde83066d2":{"description":"Internal Server Error","content":{},"exampleType":"generated"}},"security":{},"servers":{}},"originalFileLocation":"open-api-schema/latest/billing.latest.product.live.json"},"subdomain":"sequence","siteName":"Sequence","title":"List credit grants - Sequence","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-04T12:23:12.081Z","originalFileLocation":"reference/latest/billing/list-credit-grants.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"List credit grants on your account, whether held by a customer or on one of their billing schedules, newest first by default. Filter by billing schedule or customer, and use the pagination cursors to retrieve more results. Includes scheduled, unissued, depleted and expired grants. Issuance and validity are reported in state; availableBalance reports the credit usable now. Usage awaiting processing is not yet deducted from availableBalance.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Sequence\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/sequence/4AxtUIMpbcFOrkSv/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/sequence/4AxtUIMpbcFOrkSv/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/sequence/4AxtUIMpbcFOrkSv/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/sequence/4AxtUIMpbcFOrkSv/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/sequence/4AxtUIMpbcFOrkSv/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/sequence/4AxtUIMpbcFOrkSv/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/sequence/4AxtUIMpbcFOrkSv/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/sequence/4AxtUIMpbcFOrkSv/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/sequence/4AxtUIMpbcFOrkSv/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List credit grants - Sequence\">\u003cmeta data-mint-head property=\"og:description\" content=\"List credit grants on your account, whether held by a customer or on one of their billing schedules, newest first by default. Filter by billing schedule or customer, and use the pagination cursors to retrieve more results. Includes scheduled, unissued, depleted and expired grants. Issuance and validity are reported in state; availableBalance reports the credit usable now. Usage awaiting processing is not yet deducted from availableBalance.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Sequence\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.sequencehq.com/reference/latest/billing/list-credit-grants\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://sequence.mintlify.site/_mintlify/api/og/v2?division=Credits\u0026amp;title=List+credit+grants\u0026amp;description=List+credit+grants+on+your+account%2C+whether+held+by+a+customer+or+on+one+of+their+billing+schedules%2C+newest+first+by+default.+Filter+by+billing+schedule+or+cust\u0026amp;theme=9a5e862c56c084d213b04486\u0026amp;signature=d639e6411d256d04e1e11b15364a7c737e39577903b8a6b67f8081d969d2ea25\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List credit grants - Sequence\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"List credit grants on your account, whether held by a customer or on one of their billing schedules, newest first by default. Filter by billing schedule or customer, and use the pagination cursors to retrieve more results. Includes scheduled, unissued, depleted and expired grants. Issuance and validity are reported in state; availableBalance reports the credit usable now. Usage awaiting processing is not yet deducted from availableBalance.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://sequence.mintlify.site/_mintlify/api/og/v2?division=Credits\u0026amp;title=List+credit+grants\u0026amp;description=List+credit+grants+on+your+account%2C+whether+held+by+a+customer+or+on+one+of+their+billing+schedules%2C+newest+first+by+default.+Filter+by+billing+schedule+or+cust\u0026amp;theme=9a5e862c56c084d213b04486\u0026amp;signature=d639e6411d256d04e1e11b15364a7c737e39577903b8a6b67f8081d969d2ea25\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/sequence/4AxtUIMpbcFOrkSv/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Sequence\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#716FFF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.sequencehq.com/reference/latest/billing/list-credit-grants\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/latest/billing/list-credit-grants.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.sequencehq.com/#organization\",\"name\":\"Sequence\",\"url\":\"https://docs.sequencehq.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/sequence/bptUiZLY1oEfBaTZ/logo/light.svg?fit=max\u0026auto=format\u0026n=bptUiZLY1oEfBaTZ\u0026q=85\u0026s=02adc18f83942b8bdc86ec2b67937e1a\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.sequencehq.com#website\",\"name\":\"Sequence\",\"url\":\"https://docs.sequencehq.com\",\"publisher\":{\"@id\":\"https://docs.sequencehq.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.sequencehq.com/reference/latest/billing/list-credit-grants#webpage\",\"url\":\"https://docs.sequencehq.com/reference/latest/billing/list-credit-grants\",\"name\":\"List credit grants\",\"description\":\"List credit grants on your account, whether held by a customer or on one of their billing schedules, newest first by default. Filter by billing schedule or customer, and use the pagination cursors to retrieve more results. Includes scheduled, unissued, depleted and expired grants. Issuance and validity are reported in state; availableBalance reports the credit usable now. Usage awaiting processing is not yet deducted from availableBalance.\",\"dateModified\":\"2026-11-04T12:23:12.081Z\",\"isPartOf\":{\"@id\":\"https://docs.sequencehq.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.sequencehq.com/reference/latest/billing/list-credit-grants#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.sequencehq.com/reference/latest/billing/list-credit-grants#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Latest Live API\",\"item\":\"https://docs.sequencehq.com/reference/latest/account/list-all-users\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Billing\",\"item\":\"https://docs.sequencehq.com/reference/latest/billing/get-billing-schedule\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Credits\",\"item\":\"https://docs.sequencehq.com/reference/latest/billing/get-a-customer-credit-grant\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"List credit grants\",\"item\":\"https://docs.sequencehq.com/reference/latest/billing/list-credit-grants\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.sequencehq.com/reference/latest/billing/list-credit-grants#apireference\",\"headline\":\"List credit grants\",\"name\":\"List credit grants\",\"description\":\"List credit grants on your account, whether held by a customer or on one of their billing schedules, newest first by default. Filter by billing schedule or customer, and use the pagination cursors to retrieve more results. Includes scheduled, unissued, depleted and expired grants. Issuance and validity are reported in state; availableBalance reports the credit usable now. Usage awaiting processing is not yet deducted from availableBalance.\",\"url\":\"https://docs.sequencehq.com/reference/latest/billing/list-credit-grants\",\"mainEntityOfPage\":{\"@id\":\"https://docs.sequencehq.com/reference/latest/billing/list-credit-grants#webpage\"},\"dateModified\":\"2026-11-04T12:23:12.081Z\",\"publisher\":{\"@id\":\"https://docs.sequencehq.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.sequencehq.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Sequence\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Sequence","nav":{"global":{"anchors":[{"anchor":"Speak to an expert","icon":"message-check","href":"https://access.sequencehq.com/"},{"anchor":"Changelog","icon":"bolt","href":"https://www.sequencehq.com/changelog"},{"anchor":"Blog","icon":"rss","href":"https://www.sequencehq.com/blog"},{"anchor":"Principles","icon":"bookmark","href":"https://www.sequencehq.com/principles"}]},"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":"/getting-started/overview"}]},{"tab":"API Reference","groups":[{"group":"API Reference","pages":[{"title":"Getting Started","href":"/reference/gettingStarted"},{"title":"Authentication","href":"/reference/authentication"},{"title":"Versioning","href":"/reference/versioning"},{"title":"Changes","href":"/reference/changes"},{"group":"Webhooks","pages":[{"title":"Set up webhooks","href":"/reference/webhooks"},{"title":"Webhook events","href":"/reference/webhook-events"}]}]},{"group":"Latest Live API","pages":[{"group":"Account","pages":[{"group":"Users","pages":[{"openapi":"account.latest.product.live GET /users","title":"List all Users","href":"/reference/latest/account/list-all-users"},{"openapi":"account.latest.product.live GET /users/{id}","title":"Get a user","href":"/reference/latest/account/get-a-user"},{"openapi":"account.latest.product.live DELETE /users/{id}","title":"Delete User","href":"/reference/latest/account/delete-user"}]},{"group":"Accounts","pages":[{"openapi":"account.latest.product.live GET /sequence-accounts","title":"List your accounts","href":"/reference/latest/account/list-your-accounts"},{"openapi":"account.latest.product.live GET /sequence-accounts/{id}","title":"Get your account","href":"/reference/latest/account/get-your-account"},{"openapi":"account.latest.product.live PUT /sequence-accounts/{id}","title":"Update Account","href":"/reference/latest/account/update-account"}]}]},{"group":"Activity Stream","pages":[{"group":"Activities","pages":[{"openapi":"activity-stream.latest.product.live GET /activity-logs","title":"List all Activity Logs","href":"/reference/latest/activity-stream/list-all-activity-logs"},{"openapi":"activity-stream.latest.product.live GET /activity-logs/{id}","title":"Get an Activity Log by ID","href":"/reference/latest/activity-stream/get-an-activity-log-by-id"}]}]},{"group":"Billing","pages":[{"group":"Billing Schedules","pages":[{"openapi":"billing.latest.product.live GET /billing-schedules/{billingScheduleId}","title":"Get Billing Schedule","href":"/reference/latest/billing/get-billing-schedule"},{"openapi":"billing.latest.product.live PUT /billing-schedules/{billingScheduleId}","title":"Update Billing Schedule","href":"/reference/latest/billing/update-billing-schedule"},{"openapi":"billing.latest.product.live GET /billing-schedules","title":"List all Billing Schedules","href":"/reference/latest/billing/list-all-billing-schedules"},{"openapi":"billing.latest.product.live POST /billing-schedules","title":"Create Billing Schedule","href":"/reference/latest/billing/create-billing-schedule"},{"openapi":"billing.latest.product.live POST /billing-schedules/{billingScheduleId}/duplicate","title":"Duplicate a billing schedule","href":"/reference/latest/billing/duplicate-a-billing-schedule"},{"openapi":"billing.latest.product.live PUT /billing-schedules/{billingScheduleId}/activate","title":"Activate Billing Schedule","href":"/reference/latest/billing/activate-billing-schedule"},{"openapi":"billing.latest.product.live GET /billing-schedule-custom-field-keys","title":"List Billing Schedule Custom Field Keys","href":"/reference/latest/billing/list-billing-schedule-custom-field-keys"},{"openapi":"billing.latest.product.live POST /billing-schedules/{billingScheduleId}/archive","title":"Archive Billing Schedule","href":"/reference/latest/billing/archive-billing-schedule"},{"openapi":"billing.latest.product.live POST /billing-schedules/validate-taxes","title":"Validate taxes on a billing schedule","href":"/reference/latest/billing/validate-taxes-on-a-billing-schedule"}]},{"group":"Credits","pages":[{"openapi":"billing.latest.product.live GET /credits/{id}","title":"Get a customer credit grant","href":"/reference/latest/billing/get-a-customer-credit-grant"},{"openapi":"billing.latest.product.live DELETE /credits/{id}","title":"Delete a credit grant","description":"Delete a credit grant by ID","href":"/reference/latest/billing/delete-a-credit-grant"},{"openapi":"billing.latest.product.live GET /credit-grants","title":"List credit grants","href":"/reference/latest/billing/list-credit-grants"},{"openapi":"billing.latest.product.live POST /credit-grants","title":"Create a customer credit grant","description":"Create a one-off cash credit grant held by a customer directly, outside any billing schedule. Its credit is issued after this request returns, so the response shows the grant as it stands at that moment: usually `state.issuance` PENDING with a zero `availableBalance`, becoming ISSUED with the full balance once funded. Credit with a `costOfCredit` of at least the currency's smallest unit also raises a draft invoice for that amount, which you can review and send; the credit does not wait for it to be paid. Retrying with the same `Idempotency-Key` returns the original grant without creating another. Keys never expire within your account, and a key reused with different terms is rejected.","href":"/reference/latest/billing/create-a-customer-credit-grant"},{"openapi":"billing.latest.product.live GET /credits","title":"List customer credit grants","href":"/reference/latest/billing/list-customer-credit-grants"},{"openapi":"billing.latest.product.live POST /credits","title":"Create a new credit grant","href":"/reference/latest/billing/create-a-new-credit-grant"},{"openapi":"billing.latest.product.live GET /credits/{customerId}/balances","title":"List Credit Balances for a customer","href":"/reference/latest/billing/list-credit-balances-for-a-customer"},{"openapi":"billing.latest.product.live GET /credit-grants/{id}","title":"Get a credit grant","href":"/reference/latest/billing/get-a-credit-grant"},{"openapi":"billing.latest.product.live GET /credits/{customerId}/grants","title":"List Credit Grants for a customer","href":"/reference/latest/billing/list-credit-grants-for-a-customer"}]},{"group":"Prices","pages":[{"openapi":"billing.latest.product.live GET /prices/{id}","title":"Get a Price by ID","href":"/reference/latest/billing/get-a-price-by-id"},{"openapi":"billing.latest.product.live PUT /prices/{id}","title":"Update a Price","href":"/reference/latest/billing/update-a-price"},{"openapi":"billing.latest.product.live DELETE /prices/{id}","title":"Delete a Price","href":"/reference/latest/billing/delete-a-price"},{"openapi":"billing.latest.product.live GET /prices","title":"List all Prices","href":"/reference/latest/billing/list-all-prices"},{"openapi":"billing.latest.product.live POST /prices","title":"Create a new Price","href":"/reference/latest/billing/create-a-new-price"},{"openapi":"billing.latest.product.live GET /billing-products","title":"List all billing products","href":"/reference/latest/billing/list-all-billing-products"}]},{"group":"Discounts","pages":[{"openapi":"billing.latest.product.live GET /discounts/{id}","title":"Get a discount by ID","href":"/reference/latest/billing/get-a-discount-by-id"},{"openapi":"billing.latest.product.live PUT /discounts/{id}","title":"Update a discount","href":"/reference/latest/billing/update-a-discount"},{"openapi":"billing.latest.product.live DELETE /discounts/{id}","title":"Delete a discount","href":"/reference/latest/billing/delete-a-discount"},{"openapi":"billing.latest.product.live GET /discounts","title":"List all discounts","href":"/reference/latest/billing/list-all-discounts"}]}]},{"group":"Collections","pages":[{"group":"Invoices","pages":[{"openapi":"collections.latest.product.live GET /payments/settings/invoices/for-invoice/{id}","title":"Get invoice payment settings by invoice ID","href":"/reference/latest/collections/get-invoice-payment-settings-by-invoice-id"},{"openapi":"collections.latest.product.live GET /payments/settings/invoices/{id}","title":"Get invoice payment settings","href":"/reference/latest/collections/get-invoice-payment-settings"},{"openapi":"collections.latest.product.live PUT /payments/settings/invoices/{id}","title":"Update invoice payment settings","href":"/reference/latest/collections/update-invoice-payment-settings"},{"openapi":"collections.latest.product.live DELETE /payments/settings/invoices/{id}","title":"Delete invoice payment settings","href":"/reference/latest/collections/delete-invoice-payment-settings"},{"openapi":"collections.latest.product.live POST /payments/settings/invoices","title":"Create invoice payment settings","href":"/reference/latest/collections/create-invoice-payment-settings"}]},{"group":"Billing Schedules","pages":[{"openapi":"collections.latest.product.live POST /payments/settings/billing-schedules","title":"Create billing schedule payment settings","href":"/reference/latest/collections/create-billing-schedule-payment-settings"},{"openapi":"collections.latest.product.live GET /payments/settings/billing-schedules/{id}","title":"Get billing schedule payment settings","href":"/reference/latest/collections/get-billing-schedule-payment-settings"},{"openapi":"collections.latest.product.live PUT /payments/settings/billing-schedules/{id}","title":"Update billing schedule payment settings","href":"/reference/latest/collections/update-billing-schedule-payment-settings"},{"openapi":"collections.latest.product.live DELETE /payments/settings/billing-schedules/{id}","title":"Delete billing schedule payment settings","href":"/reference/latest/collections/delete-billing-schedule-payment-settings"},{"openapi":"collections.latest.product.live GET /payments/settings/billing-schedules/for-billing-schedule/{id}","title":"Get billing schedule payment settings by billing schedule ID","href":"/reference/latest/collections/get-billing-schedule-payment-settings-by-billing-schedule-id"}]},{"group":"Customers","pages":[{"openapi":"collections.latest.product.live GET /payments/settings/customers/{id}","title":"Get customer payment settings","href":"/reference/latest/collections/get-customer-payment-settings"},{"openapi":"collections.latest.product.live PUT /payments/settings/customers/{id}","title":"Update customer payment settings","href":"/reference/latest/collections/update-customer-payment-settings"},{"openapi":"collections.latest.product.live DELETE /payments/settings/customers/{id}","title":"Delete customer payment settings","href":"/reference/latest/collections/delete-customer-payment-settings"},{"openapi":"collections.latest.product.live POST /payments/settings/customers","title":"Create customer payment settings","href":"/reference/latest/collections/create-customer-payment-settings"}]},{"group":"Account Settings","pages":[{"openapi":"collections.latest.product.live GET /payments/settings","title":"Payment settings for Sequence account","href":"/reference/latest/collections/payment-settings-for-sequence-account"},{"openapi":"collections.latest.product.live PUT /payments/settings/{id}","title":"Update payment settings for Sequence account","href":"/reference/latest/collections/update-payment-settings-for-sequence-account"}]},{"group":"Stripe Collection Settings","pages":[{"openapi":"collections.latest.product.live PUT /stripe/collections/settings/{id}","title":"Update Stripe collection settings for Sequence account","href":"/reference/latest/collections/update-stripe-collection-settings-for-sequence-account"},{"openapi":"collections.latest.product.live GET /stripe/collections/settings","title":"Stripe collection settings for Sequence account","href":"/reference/latest/collections/stripe-collection-settings-for-sequence-account"}]}]},{"group":"Customer","pages":[{"group":"Customers","pages":[{"openapi":"customer.latest.product.live GET /customers/{id}","title":"Get customer","href":"/reference/latest/customer/get-customer"},{"openapi":"customer.latest.product.live PUT /customers/{id}","title":"Update customer","href":"/reference/latest/customer/update-customer"},{"openapi":"customer.latest.product.live GET /customer-custom-property-keys","title":"List customer custom property keys","href":"/reference/latest/customer/list-customer-custom-property-keys"},{"openapi":"customer.latest.product.live GET /customers","title":"List customers","href":"/reference/latest/customer/list-customers"},{"openapi":"customer.latest.product.live POST /customers","title":"Create customer","href":"/reference/latest/customer/create-customer"},{"openapi":"customer.latest.product.live POST /customers/{id}/archive","title":"Archive customer","href":"/reference/latest/customer/archive-customer"}]},{"group":"Customer Aliases","pages":[{"openapi":"customer.latest.product.live GET /customer-aliases","title":"List all Customer Aliases","href":"/reference/latest/customer/list-all-customer-aliases"},{"openapi":"customer.latest.product.live POST /customer-aliases","title":"Create a new Customer Alias","href":"/reference/latest/customer/create-a-new-customer-alias"},{"openapi":"customer.latest.product.live PUT /customer-aliases/{id}","title":"Update a Customer Alias","href":"/reference/latest/customer/update-a-customer-alias"},{"openapi":"customer.latest.product.live DELETE /customer-aliases/{id}","title":"Delete a Customer Alias","href":"/reference/latest/customer/delete-a-customer-alias"},{"openapi":"customer.latest.product.live GET /customers/by-alias/{alias}","title":"Get customer by alias","href":"/reference/latest/customer/get-customer-by-alias"},{"openapi":"customer.latest.product.live GET /customers/{id}/aliases","title":"Get Customer Aliases","href":"/reference/latest/customer/get-customer-aliases"}]},{"group":"Organizations","pages":[{"openapi":"customer.latest.product.live PUT /customer-organizations/{id}/members","title":"Replace members of a customer organization","href":"/reference/latest/customer/replace-members-of-a-customer-organization"},{"openapi":"customer.latest.product.live POST /customer-organizations/{id}/members","title":"Add a customer to a customer organization","href":"/reference/latest/customer/add-a-customer-to-a-customer-organization"},{"openapi":"customer.latest.product.live POST /customer-organizations","title":"Create a customer organization","href":"/reference/latest/customer/create-a-customer-organization"}]},{"group":"Contacts","pages":[{"openapi":"customer.latest.product.live POST /customers/{customer}/contacts/{id}/archive","title":"Archive a contact","href":"/reference/latest/customer/archive-a-contact"},{"openapi":"customer.latest.product.live GET /customers/{customer}/contacts","title":"List all contacts for a customer","href":"/reference/latest/customer/list-all-contacts-for-a-customer"},{"openapi":"customer.latest.product.live POST /customers/{customer}/contacts","title":"Create a new contact","href":"/reference/latest/customer/create-a-new-contact"},{"openapi":"customer.latest.product.live PUT /customers/{customer}/contacts/{id}","title":"Update a contact","href":"/reference/latest/customer/update-a-contact"}]}]},{"group":"Invoices","pages":[{"group":"Invoices","pages":[{"openapi":"invoices.latest.product.live GET /invoices","title":"List all Invoices","href":"/reference/latest/invoices/list-all-invoices"},{"openapi":"invoices.latest.product.live POST /invoices","title":"Create an invoice","href":"/reference/latest/invoices/create-an-invoice"},{"openapi":"invoices.latest.product.live POST /invoices/{id}/draft","title":"Convert upcoming invoice to draft","href":"/reference/latest/invoices/convert-upcoming-invoice-to-draft"},{"openapi":"invoices.latest.product.live POST /invoices/merge","title":"Merge invoices","href":"/reference/latest/invoices/merge-invoices"},{"openapi":"invoices.latest.product.live POST /invoices/{id}/finalize-and-send","title":"Finalize and send invoice","href":"/reference/latest/invoices/finalize-and-send-invoice"},{"openapi":"invoices.latest.product.live PATCH /invoices/{id}/sent","title":"Patch a sent invoice","href":"/reference/latest/invoices/patch-a-sent-invoice"},{"openapi":"invoices.latest.product.live PUT /invoices/{id}/payment-status","title":"Update payment status for an invoice","href":"/reference/latest/invoices/update-payment-status-for-an-invoice"},{"openapi":"invoices.latest.product.live GET /invoices/{id}/download","title":"Download invoice PDF","href":"/reference/latest/invoices/download-invoice-pdf"},{"openapi":"invoices.latest.product.live GET /invoices/{id}","title":"Get an Invoice by ID","href":"/reference/latest/invoices/get-an-invoice-by-id"},{"openapi":"invoices.latest.product.live PUT /invoices/{id}","title":"Update an invoice","href":"/reference/latest/invoices/update-an-invoice"},{"openapi":"invoices.latest.product.live DELETE /invoices/{id}","title":"Delete an Invoice","href":"/reference/latest/invoices/delete-an-invoice"},{"openapi":"invoices.latest.product.live PATCH /invoices/{id}","title":"Patch an invoice","href":"/reference/latest/invoices/patch-an-invoice"},{"openapi":"invoices.latest.product.live POST /invoices/{id}/void","title":"Void an Invoice","href":"/reference/latest/invoices/void-an-invoice"},{"openapi":"invoices.latest.product.live GET /invoices/summary","title":"Get an invoice summary","href":"/reference/latest/invoices/get-an-invoice-summary"},{"openapi":"invoices.latest.product.live GET /invoices/list-summary","title":"List Invoice summaries","href":"/reference/latest/invoices/list-invoice-summaries"},{"openapi":"invoices.latest.product.live POST /invoices/{id}/mark-as-sent","title":"Finalize and mark invoice as sent without triggering actions except revenue recognition","href":"/reference/latest/invoices/finalize-and-mark-invoice-as-sent-without-triggering-actions-except-revenue-recognition"},{"openapi":"invoices.latest.product.live GET /invoices/{id}/currency-conversions","title":"List Currency Conversions for an Invoice","href":"/reference/latest/invoices/list-currency-conversions-for-an-invoice"},{"openapi":"invoices.latest.product.live POST /invoices/fix-billing-runs","title":"Fix invoices billing runs","href":"/reference/latest/invoices/fix-invoices-billing-runs"},{"openapi":"invoices.latest.product.live POST /invoices/{id}/finalize","title":"Finalize invoice","href":"/reference/latest/invoices/finalize-invoice"},{"openapi":"invoices.latest.product.live POST /invoices/{id}/send-payment-reminder","title":"Send a payment reminder for an invoice","href":"/reference/latest/invoices/send-a-payment-reminder-for-an-invoice"},{"openapi":"invoices.latest.product.live POST /invoices/{id}/send","title":"Send invoice","href":"/reference/latest/invoices/send-invoice"},{"openapi":"invoices.latest.product.live POST /invoices/reconcile-with-integration","title":"Reconcile invoices with external integration","href":"/reference/latest/invoices/reconcile-invoices-with-external-integration"}]},{"group":"Invoice Settings","pages":[{"openapi":"invoices.latest.product.live PUT /invoices/render-settings/{id}","title":"Update an Invoice Render Settings","href":"/reference/latest/invoices/update-an-invoice-render-settings"},{"openapi":"invoices.latest.product.live GET /invoices/render-settings","title":"Get or create Invoice Render Settings","href":"/reference/latest/invoices/get-or-create-invoice-render-settings"}]},{"group":"Credit Note Line Items","pages":[{"openapi":"invoices.latest.product.live PUT /credit-notes/{creditnote}/line-items/{id}","title":"Update a Credit Note Line Item","href":"/reference/latest/invoices/update-a-credit-note-line-item"},{"openapi":"invoices.latest.product.live DELETE /credit-notes/{creditnote}/line-items/{id}","title":"Delete a Credit Note Line Item","href":"/reference/latest/invoices/delete-a-credit-note-line-item"},{"openapi":"invoices.latest.product.live GET /credit-notes/{creditnote}/line-item-groups","title":"List all Credit Note Line Item Groups","href":"/reference/latest/invoices/list-all-credit-note-line-item-groups"},{"openapi":"invoices.latest.product.live POST /credit-notes/{creditnote}/line-item-groups","title":"Create a new Credit Note Line Item Group","href":"/reference/latest/invoices/create-a-new-credit-note-line-item-group"},{"openapi":"invoices.latest.product.live GET /credit-notes/{creditnote}/line-items","title":"List all Credit Note Line Items","href":"/reference/latest/invoices/list-all-credit-note-line-items"},{"openapi":"invoices.latest.product.live POST /credit-notes/{creditnote}/line-items","title":"Create a new Credit Note Line Item","href":"/reference/latest/invoices/create-a-new-credit-note-line-item"},{"openapi":"invoices.latest.product.live PUT /credit-notes/{creditnote}/line-item-groups/{id}","title":"Update a Credit Note Line Item Group","href":"/reference/latest/invoices/update-a-credit-note-line-item-group"},{"openapi":"invoices.latest.product.live DELETE /credit-notes/{creditnote}/line-item-groups/{id}","title":"Delete a Credit Note Line Item Group","href":"/reference/latest/invoices/delete-a-credit-note-line-item-group"}]},{"group":"Credit Notes","pages":[{"openapi":"invoices.latest.product.live POST /credit-notes/{id}/finalize-and-send","title":"Finalize and send credit note","href":"/reference/latest/invoices/finalize-and-send-credit-note"},{"openapi":"invoices.latest.product.live POST /credit-notes/{id}/send","title":"Send credit note","href":"/reference/latest/invoices/send-credit-note"},{"openapi":"invoices.latest.product.live GET /credit-notes/{id}/download","title":"Download credit note PDF","href":"/reference/latest/invoices/download-credit-note-pdf"},{"openapi":"invoices.latest.product.live GET /credit-notes/{id}","title":"Get a Credit Note by ID","href":"/reference/latest/invoices/get-a-credit-note-by-id"},{"openapi":"invoices.latest.product.live PUT /credit-notes/{id}","title":"Update a Credit Note","href":"/reference/latest/invoices/update-a-credit-note"},{"openapi":"invoices.latest.product.live DELETE /credit-notes/{id}","title":"Delete a Credit Note","href":"/reference/latest/invoices/delete-a-credit-note"},{"openapi":"invoices.latest.product.live POST /credit-notes/{id}/mark-as-sent","title":"Mark credit note as sent without triggering actions except revenue recognition","href":"/reference/latest/invoices/mark-credit-note-as-sent-without-triggering-actions-except-revenue-recognition"},{"openapi":"invoices.latest.product.live GET /credit-notes","title":"List all Credit Notes","href":"/reference/latest/invoices/list-all-credit-notes"},{"openapi":"invoices.latest.product.live POST /credit-notes","title":"Create a new Credit Note","href":"/reference/latest/invoices/create-a-new-credit-note"},{"openapi":"invoices.latest.product.live POST /credit-notes/{id}/finalize","title":"Finalize credit note","href":"/reference/latest/invoices/finalize-credit-note"},{"openapi":"invoices.latest.product.live POST /credit-notes/{id}/void","title":"Void a Credit Note","href":"/reference/latest/invoices/void-a-credit-note"},{"openapi":"invoices.latest.product.live POST /credit-note-applications","title":"Apply a Credit Note to an Invoice","href":"/reference/latest/invoices/apply-a-credit-note-to-an-invoice"}]},{"group":"Invoice Line Items","pages":[{"openapi":"invoices.latest.product.live PUT /invoices/{invoice}/line-items/{id}","title":"Update a line item","href":"/reference/latest/invoices/update-a-line-item"},{"openapi":"invoices.latest.product.live DELETE /invoices/{invoice}/line-items/{id}","title":"Deletes a Line Item","href":"/reference/latest/invoices/deletes-a-line-item"},{"openapi":"invoices.latest.product.live PUT /invoices/{invoice}/line-item-groups/{id}","title":"Update a Line Item Group","href":"/reference/latest/invoices/update-a-line-item-group"},{"openapi":"invoices.latest.product.live DELETE /invoices/{invoice}/line-item-groups/{id}","title":"Delete a Line Item Group","href":"/reference/latest/invoices/delete-a-line-item-group"},{"openapi":"invoices.latest.product.live GET /invoices/{invoice}/line-items","title":"List all Line Items","href":"/reference/latest/invoices/list-all-line-items"},{"openapi":"invoices.latest.product.live POST /invoices/{invoice}/line-items","title":"Create a new Line Item","href":"/reference/latest/invoices/create-a-new-line-item"},{"openapi":"invoices.latest.product.live GET /invoices/{invoice}/line-item-groups","title":"List all Line Item Groups","href":"/reference/latest/invoices/list-all-line-item-groups"},{"openapi":"invoices.latest.product.live POST /invoices/{invoice}/line-item-groups","title":"Create a new Line Item Group","href":"/reference/latest/invoices/create-a-new-line-item-group"}]}]},{"group":"Notifications","pages":[{"group":"Notification Policies","pages":[{"openapi":"notifications.latest.product.live POST /notifications/policies/{id}/notification-types","title":"Add notification types to a policy","href":"/reference/latest/notifications/add-notification-types-to-a-policy"},{"openapi":"notifications.latest.product.live GET /notifications/policies","title":"List All Notification Policies","href":"/reference/latest/notifications/list-all-notification-policies"},{"openapi":"notifications.latest.product.live POST /notifications/policies","title":"Create Notification policy","href":"/reference/latest/notifications/create-notification-policy"},{"openapi":"notifications.latest.product.live POST /notifications/policies/{id}/recipients","title":"Add recipients to a policy","href":"/reference/latest/notifications/add-recipients-to-a-policy"},{"openapi":"notifications.latest.product.live DELETE /notifications/policies/{id}/notification-types/{type}","title":"Remove a notification type from a policy","href":"/reference/latest/notifications/remove-a-notification-type-from-a-policy"},{"openapi":"notifications.latest.product.live GET /notifications/policies/{id}","title":"Get notification policy","href":"/reference/latest/notifications/get-notification-policy"},{"openapi":"notifications.latest.product.live DELETE /notifications/policies/{id}","title":"Delete notification policy","href":"/reference/latest/notifications/delete-notification-policy"},{"openapi":"notifications.latest.product.live DELETE /notifications/policies/{id}/recipients/{recipient}","title":"Remove a recipient from a policy","href":"/reference/latest/notifications/remove-a-recipient-from-a-policy"}]}]},{"group":"Orchestra","pages":[{"group":"Assets","pages":[{"openapi":"orchestra.latest.product.live POST /assets","title":"Upload an asset","href":"/reference/latest/orchestra/upload-an-asset"},{"openapi":"orchestra.latest.product.live GET /assets/{id}","title":"Get an asset","href":"/reference/latest/orchestra/get-an-asset"}]}]},{"group":"Product","pages":[{"group":"Products","pages":[{"openapi":"product.latest.product.live GET /products","title":"List all Products","href":"/reference/latest/product/list-all-products"},{"openapi":"product.latest.product.live POST /products","title":"Create a new Product","href":"/reference/latest/product/create-a-new-product"},{"openapi":"product.latest.product.live POST /products/{id}/archive","title":"Archive a product","href":"/reference/latest/product/archive-a-product"},{"openapi":"product.latest.product.live GET /products/{id}","title":"Get a Product by ID","href":"/reference/latest/product/get-a-product-by-id"},{"openapi":"product.latest.product.live PUT /products/{id}","title":"Update a Product","href":"/reference/latest/product/update-a-product"}]},{"group":"List Prices","pages":[{"openapi":"product.latest.product.live GET /list-prices/{id}","title":"Get a list price","href":"/reference/latest/product/get-a-list-price"},{"openapi":"product.latest.product.live PUT /list-prices/{id}","title":"Update a list price","href":"/reference/latest/product/update-a-list-price"},{"openapi":"product.latest.product.live POST /list-prices/{id}/archive","title":"Archive a list price","href":"/reference/latest/product/archive-a-list-price"},{"openapi":"product.latest.product.live GET /list-prices","title":"List all list prices","href":"/reference/latest/product/list-all-list-prices"},{"openapi":"product.latest.product.live POST /list-prices","title":"Create a list price","href":"/reference/latest/product/create-a-list-price"}]}]},{"group":"Quote","pages":[{"group":"Quotes","pages":[{"openapi":"quote.latest.product.live POST /quotes/total","title":"Work out a quote's totals","href":"/reference/latest/quote/work-out-a-quote's-totals"},{"openapi":"quote.latest.product.live GET /quotes/{id}/analytics","title":"Get quote analytics","href":"/reference/latest/quote/get-quote-analytics"},{"openapi":"quote.latest.product.live POST /quotes/{id}/archive","title":"Archive a quote","href":"/reference/latest/quote/archive-a-quote"},{"openapi":"quote.latest.product.live GET /quotes/{id}/published","title":"Get a published quote","href":"/reference/latest/quote/get-a-published-quote"},{"openapi":"quote.latest.product.live GET /quotes/{id}","title":"Get one of your quotes","href":"/reference/latest/quote/get-one-of-your-quotes"},{"openapi":"quote.latest.product.live PUT /quotes/{id}","title":"Update one of your quotes","href":"/reference/latest/quote/update-one-of-your-quotes"},{"openapi":"quote.latest.product.live POST /quotes/{quoteId}/notify-recipients","title":"Notify selected quote recipients by email","href":"/reference/latest/quote/notify-selected-quote-recipients-by-email"},{"openapi":"quote.latest.product.live POST /quotes/{id}/publish","title":"Publish a quote","href":"/reference/latest/quote/publish-a-quote"},{"openapi":"quote.latest.product.live POST /quotes/from-template/{id}","title":"Create a quote from a template","href":"/reference/latest/quote/create-a-quote-from-a-template"},{"openapi":"quote.latest.product.live POST /quotes/{quoteId}/send-reminders","title":"Send reminder emails to all that have not signed.","href":"/reference/latest/quote/send-reminder-emails-to-all-that-have-not-signed."},{"openapi":"quote.latest.product.live POST /quotes/{id}/accept","title":"Accept a published Quote","href":"/reference/latest/quote/accept-a-published-quote"},{"openapi":"quote.latest.product.live GET /quotes/{id}/download","title":"Download quote PDF","href":"/reference/latest/quote/download-quote-pdf"},{"openapi":"quote.latest.product.live GET /quotes","title":"List quotes","href":"/reference/latest/quote/list-quotes"}]},{"group":"Quote Templates","pages":[{"openapi":"quote.latest.product.live GET /quote-templates","title":"List quote templates","href":"/reference/latest/quote/list-quote-templates"}]}]},{"group":"Taxes","pages":[{"group":"Tax Registrations","pages":[{"openapi":"taxes.latest.product.live GET /tax-registrations","title":"List all Tax Registrations","href":"/reference/latest/taxes/list-all-tax-registrations"},{"openapi":"taxes.latest.product.live POST /tax-registrations","title":"Create a new Tax Registration","href":"/reference/latest/taxes/create-a-new-tax-registration"},{"openapi":"taxes.latest.product.live GET /tax-registrations/for-customer/{id}","title":"Get all tax registrations for a customer by customer ID","href":"/reference/latest/taxes/get-all-tax-registrations-for-a-customer-by-customer-id"},{"openapi":"taxes.latest.product.live GET /tax-registrations/{id}","title":"Get a Tax Registration by ID","href":"/reference/latest/taxes/get-a-tax-registration-by-id"},{"openapi":"taxes.latest.product.live PUT /tax-registrations/{id}","title":"Update a Tax Registration","href":"/reference/latest/taxes/update-a-tax-registration"},{"openapi":"taxes.latest.product.live DELETE /tax-registrations/{id}","title":"Delete a Tax Registration","href":"/reference/latest/taxes/delete-a-tax-registration"},{"openapi":"taxes.latest.product.live GET /tax-registrations/for-merchant/{id}","title":"Get all tax registrations for a merchant by merchant ID","href":"/reference/latest/taxes/get-all-tax-registrations-for-a-merchant-by-merchant-id"}]},{"group":"Tax Rates","pages":[{"openapi":"taxes.latest.product.live GET /tax-rates/{id}","title":"Get a Tax Rate by ID","href":"/reference/latest/taxes/get-a-tax-rate-by-id"},{"openapi":"taxes.latest.product.live PUT /tax-rates/{id}","title":"Update a TaxRate","href":"/reference/latest/taxes/update-a-taxrate"},{"openapi":"taxes.latest.product.live DELETE /tax-rates/{id}","title":"Delete a Tax Rate","href":"/reference/latest/taxes/delete-a-tax-rate"},{"openapi":"taxes.latest.product.live GET /tax-rates","title":"List all Tax Rates","href":"/reference/latest/taxes/list-all-tax-rates"},{"openapi":"taxes.latest.product.live POST /tax-rates","title":"Create a new TaxRate","href":"/reference/latest/taxes/create-a-new-taxrate"},{"openapi":"taxes.latest.product.live POST /tax-rates/{id}/archive","title":"Archive a tax rate","href":"/reference/latest/taxes/archive-a-tax-rate"}]}]},{"group":"Usage","pages":[{"group":"Usage Events","pages":[{"openapi":"usage.latest.product.live GET /usage-events","title":"List all Usage Events","href":"/reference/latest/usage/list-all-usage-events"},{"openapi":"usage.latest.product.live POST /usage-events","title":"Create a new Usage Event","href":"/reference/latest/usage/create-a-new-usage-event"}]},{"group":"Seat Metrics","pages":[{"openapi":"usage.latest.product.live GET /seat-metrics","title":"List all seat metrics","href":"/reference/latest/usage/list-all-seat-metrics"},{"openapi":"usage.latest.product.live POST /seat-metrics","title":"Create a seat metric","href":"/reference/latest/usage/create-a-seat-metric"},{"openapi":"usage.latest.product.live GET /seat-metrics/{id}","title":"Get a seat metric","href":"/reference/latest/usage/get-a-seat-metric"},{"openapi":"usage.latest.product.live PUT /seat-metrics/{id}","title":"Update a seat metric","href":"/reference/latest/usage/update-a-seat-metric"},{"openapi":"usage.latest.product.live DELETE /seat-metrics/{id}","title":"Delete a seat metric","href":"/reference/latest/usage/delete-a-seat-metric"},{"openapi":"usage.latest.product.live GET /seat-balances","title":"List Seat balances by Customer","href":"/reference/latest/usage/list-seat-balances-by-customer"}]},{"group":"Seat Events","pages":[{"openapi":"usage.latest.product.live GET /seat-events","title":"List all seat events","href":"/reference/latest/usage/list-all-seat-events"},{"openapi":"usage.latest.product.live POST /seat-events","title":"Create a seat event","href":"/reference/latest/usage/create-a-seat-event"},{"openapi":"usage.latest.product.live GET /seat-events/{id}","title":"Get a seat event by ID","href":"/reference/latest/usage/get-a-seat-event-by-id"}]},{"group":"Usage Metrics","pages":[{"openapi":"usage.latest.product.live POST /usage-metrics","title":"Create a new Usage Metric","href":"/reference/latest/usage/create-a-new-usage-metric"},{"openapi":"usage.latest.product.live GET /usage-metrics","title":"List all Usage Metrics","href":"/reference/latest/usage/list-all-usage-metrics"},{"openapi":"usage.latest.product.live GET /usage-metrics/{id}","title":"Get a Usage Metric by ID","href":"/reference/latest/usage/get-a-usage-metric-by-id"},{"openapi":"usage.latest.product.live PUT /usage-metrics/{id}","title":"Update a Usage Metric","href":"/reference/latest/usage/update-a-usage-metric"},{"openapi":"usage.latest.product.live DELETE /usage-metrics/{id}","title":"Delete a Usage Metric","href":"/reference/latest/usage/delete-a-usage-metric"},{"openapi":"usage.latest.product.live GET /usage-metrics/{usageMetricId}/calculate","title":"Calculate usage metric for customer and timeframe","href":"/reference/latest/usage/calculate-usage-metric-for-customer-and-timeframe"}]}]}]},{"group":"Version 2024-07-30","pages":[{"group":"Account","pages":[{"group":"Users","pages":[{"openapi":"account.2024-07-30.product.live GET /users","title":"List all Users","href":"/reference/2024-07-30/account/list-all-users"},{"openapi":"account.2024-07-30.product.live GET /users/{id}","title":"Get a user","href":"/reference/2024-07-30/account/get-a-user"},{"openapi":"account.2024-07-30.product.live DELETE /users/{id}","title":"Delete User","href":"/reference/2024-07-30/account/delete-user"}]},{"group":"Accounts","pages":[{"openapi":"account.2024-07-30.product.live GET /sequence-accounts","title":"List your accounts","href":"/reference/2024-07-30/account/list-your-accounts"},{"openapi":"account.2024-07-30.product.live GET /sequence-accounts/{id}","title":"Get your account","href":"/reference/2024-07-30/account/get-your-account"},{"openapi":"account.2024-07-30.product.live PUT /sequence-accounts/{id}","title":"Update Account","href":"/reference/2024-07-30/account/update-account"}]}]},{"group":"Activity Stream","pages":[{"group":"Activities","pages":[{"openapi":"activity-stream.2024-07-30.product.live GET /activity-logs","title":"List all Activity Logs","href":"/reference/2024-07-30/activity-stream/list-all-activity-logs"},{"openapi":"activity-stream.2024-07-30.product.live GET /activity-logs/{id}","title":"Get an Activity Log by ID","href":"/reference/2024-07-30/activity-stream/get-an-activity-log-by-id"}]}]},{"group":"Billing","pages":[{"group":"Billing Schedules","pages":[{"openapi":"billing.2024-07-30.product.live GET /billing-schedules/{billingScheduleId}","title":"Get Billing Schedule","href":"/reference/2024-07-30/billing/get-billing-schedule"},{"openapi":"billing.2024-07-30.product.live PUT /billing-schedules/{billingScheduleId}","title":"Update Billing Schedule","href":"/reference/2024-07-30/billing/update-billing-schedule"},{"openapi":"billing.2024-07-30.product.live GET /billing-schedules","title":"List all Billing Schedules","href":"/reference/2024-07-30/billing/list-all-billing-schedules"},{"openapi":"billing.2024-07-30.product.live POST /billing-schedules","title":"Create Billing Schedule","href":"/reference/2024-07-30/billing/create-billing-schedule"},{"openapi":"billing.2024-07-30.product.live POST /billing-schedules/{billingScheduleId}/duplicate","title":"Duplicate a billing schedule","href":"/reference/2024-07-30/billing/duplicate-a-billing-schedule"},{"openapi":"billing.2024-07-30.product.live PUT /billing-schedules/{billingScheduleId}/activate","title":"Activate Billing Schedule","href":"/reference/2024-07-30/billing/activate-billing-schedule"},{"openapi":"billing.2024-07-30.product.live GET /billing-schedule-custom-field-keys","title":"List Billing Schedule Custom Field Keys","href":"/reference/2024-07-30/billing/list-billing-schedule-custom-field-keys"},{"openapi":"billing.2024-07-30.product.live POST /billing-schedules/{billingScheduleId}/archive","title":"Archive Billing Schedule","href":"/reference/2024-07-30/billing/archive-billing-schedule"},{"openapi":"billing.2024-07-30.product.live POST /billing-schedules/validate-taxes","title":"Validate taxes on a billing schedule","href":"/reference/2024-07-30/billing/validate-taxes-on-a-billing-schedule"}]},{"group":"Credits","pages":[{"openapi":"billing.2024-07-30.product.live GET /credits/{id}","title":"Get a customer credit grant","href":"/reference/2024-07-30/billing/get-a-customer-credit-grant"},{"openapi":"billing.2024-07-30.product.live DELETE /credits/{id}","title":"Delete a credit grant","href":"/reference/2024-07-30/billing/delete-a-credit-grant"},{"openapi":"billing.2024-07-30.product.live GET /credit-grants","title":"List credit grants","href":"/reference/2024-07-30/billing/list-credit-grants"},{"openapi":"billing.2024-07-30.product.live POST /credit-grants","title":"Create a customer credit grant","href":"/reference/2024-07-30/billing/create-a-customer-credit-grant"},{"openapi":"billing.2024-07-30.product.live GET /credits","title":"List customer credit grants","href":"/reference/2024-07-30/billing/list-customer-credit-grants"},{"openapi":"billing.2024-07-30.product.live POST /credits","title":"Create a new credit grant","href":"/reference/2024-07-30/billing/create-a-new-credit-grant"},{"openapi":"billing.2024-07-30.product.live GET /credits/{customerId}/balances","title":"List Credit Balances for a customer","href":"/reference/2024-07-30/billing/list-credit-balances-for-a-customer"},{"openapi":"billing.2024-07-30.product.live GET /credit-grants/{id}","title":"Get a credit grant","href":"/reference/2024-07-30/billing/get-a-credit-grant"},{"openapi":"billing.2024-07-30.product.live GET /credits/{customerId}/grants","title":"List Credit Grants for a customer","href":"/reference/2024-07-30/billing/list-credit-grants-for-a-customer"}]},{"group":"Prices","pages":[{"openapi":"billing.2024-07-30.product.live GET /prices/{id}","title":"Get a Price by ID","href":"/reference/2024-07-30/billing/get-a-price-by-id"},{"openapi":"billing.2024-07-30.product.live PUT /prices/{id}","title":"Update a Price","href":"/reference/2024-07-30/billing/update-a-price"},{"openapi":"billing.2024-07-30.product.live DELETE /prices/{id}","title":"Delete a Price","href":"/reference/2024-07-30/billing/delete-a-price"},{"openapi":"billing.2024-07-30.product.live GET /prices","title":"List all Prices","href":"/reference/2024-07-30/billing/list-all-prices"},{"openapi":"billing.2024-07-30.product.live POST /prices","title":"Create a new Price","href":"/reference/2024-07-30/billing/create-a-new-price"},{"openapi":"billing.2024-07-30.product.live GET /billing-products","title":"List all billing products","href":"/reference/2024-07-30/billing/list-all-billing-products"}]},{"group":"Discounts","pages":[{"openapi":"billing.2024-07-30.product.live GET /discounts/{id}","title":"Get a discount by ID","href":"/reference/2024-07-30/billing/get-a-discount-by-id"},{"openapi":"billing.2024-07-30.product.live PUT /discounts/{id}","title":"Update a discount","href":"/reference/2024-07-30/billing/update-a-discount"},{"openapi":"billing.2024-07-30.product.live DELETE /discounts/{id}","title":"Delete a discount","href":"/reference/2024-07-30/billing/delete-a-discount"},{"openapi":"billing.2024-07-30.product.live GET /discounts","title":"List all discounts","href":"/reference/2024-07-30/billing/list-all-discounts"}]}]},{"group":"Collections","pages":[{"group":"Invoices","pages":[{"openapi":"collections.2024-07-30.product.live GET /payments/settings/invoices/for-invoice/{id}","title":"Get invoice payment settings by invoice ID","href":"/reference/2024-07-30/collections/get-invoice-payment-settings-by-invoice-id"},{"openapi":"collections.2024-07-30.product.live GET /payments/settings/invoices/{id}","title":"Get invoice payment settings","href":"/reference/2024-07-30/collections/get-invoice-payment-settings"},{"openapi":"collections.2024-07-30.product.live PUT /payments/settings/invoices/{id}","title":"Update invoice payment settings","href":"/reference/2024-07-30/collections/update-invoice-payment-settings"},{"openapi":"collections.2024-07-30.product.live DELETE /payments/settings/invoices/{id}","title":"Delete invoice payment settings","href":"/reference/2024-07-30/collections/delete-invoice-payment-settings"},{"openapi":"collections.2024-07-30.product.live POST /payments/settings/invoices","title":"Create invoice payment settings","href":"/reference/2024-07-30/collections/create-invoice-payment-settings"}]},{"group":"Billing Schedules","pages":[{"openapi":"collections.2024-07-30.product.live POST /payments/settings/billing-schedules","title":"Create billing schedule payment settings","href":"/reference/2024-07-30/collections/create-billing-schedule-payment-settings"},{"openapi":"collections.2024-07-30.product.live GET /payments/settings/billing-schedules/{id}","title":"Get billing schedule payment settings","href":"/reference/2024-07-30/collections/get-billing-schedule-payment-settings"},{"openapi":"collections.2024-07-30.product.live PUT /payments/settings/billing-schedules/{id}","title":"Update billing schedule payment settings","href":"/reference/2024-07-30/collections/update-billing-schedule-payment-settings"},{"openapi":"collections.2024-07-30.product.live DELETE /payments/settings/billing-schedules/{id}","title":"Delete billing schedule payment settings","href":"/reference/2024-07-30/collections/delete-billing-schedule-payment-settings"},{"openapi":"collections.2024-07-30.product.live GET /payments/settings/billing-schedules/for-billing-schedule/{id}","title":"Get billing schedule payment settings by billing schedule ID","href":"/reference/2024-07-30/collections/get-billing-schedule-payment-settings-by-billing-schedule-id"}]},{"group":"Customers","pages":[{"openapi":"collections.2024-07-30.product.live GET /payments/settings/customers/{id}","title":"Get customer payment settings","href":"/reference/2024-07-30/collections/get-customer-payment-settings"},{"openapi":"collections.2024-07-30.product.live PUT /payments/settings/customers/{id}","title":"Update customer payment settings","href":"/reference/2024-07-30/collections/update-customer-payment-settings"},{"openapi":"collections.2024-07-30.product.live DELETE /payments/settings/customers/{id}","title":"Delete customer payment settings","href":"/reference/2024-07-30/collections/delete-customer-payment-settings"},{"openapi":"collections.2024-07-30.product.live POST /payments/settings/customers","title":"Create customer payment settings","href":"/reference/2024-07-30/collections/create-customer-payment-settings"}]},{"group":"Account Settings","pages":[{"openapi":"collections.2024-07-30.product.live GET /payments/settings","title":"Payment settings for Sequence account","href":"/reference/2024-07-30/collections/payment-settings-for-sequence-account"},{"openapi":"collections.2024-07-30.product.live PUT /payments/settings/{id}","title":"Update payment settings for Sequence account","href":"/reference/2024-07-30/collections/update-payment-settings-for-sequence-account"}]},{"group":"Stripe Collection Settings","pages":[{"openapi":"collections.2024-07-30.product.live PUT /stripe/collections/settings/{id}","title":"Update Stripe collection settings for Sequence account","href":"/reference/2024-07-30/collections/update-stripe-collection-settings-for-sequence-account"},{"openapi":"collections.2024-07-30.product.live GET /stripe/collections/settings","title":"Stripe collection settings for Sequence account","href":"/reference/2024-07-30/collections/stripe-collection-settings-for-sequence-account"}]}]},{"group":"Customer","pages":[{"group":"Customers","pages":[{"openapi":"customer.2024-07-30.product.live GET /customers/{id}","title":"Get customer","href":"/reference/2024-07-30/customer/get-customer"},{"openapi":"customer.2024-07-30.product.live PUT /customers/{id}","title":"Update customer","href":"/reference/2024-07-30/customer/update-customer"},{"openapi":"customer.2024-07-30.product.live GET /customer-custom-property-keys","title":"List customer custom property keys","href":"/reference/2024-07-30/customer/list-customer-custom-property-keys"},{"openapi":"customer.2024-07-30.product.live GET /customers","title":"List customers","href":"/reference/2024-07-30/customer/list-customers"},{"openapi":"customer.2024-07-30.product.live POST /customers","title":"Create customer","href":"/reference/2024-07-30/customer/create-customer"},{"openapi":"customer.2024-07-30.product.live POST /customers/{id}/archive","title":"Archive customer","href":"/reference/2024-07-30/customer/archive-customer"}]},{"group":"Customer Aliases","pages":[{"openapi":"customer.2024-07-30.product.live GET /customer-aliases","title":"List all Customer Aliases","href":"/reference/2024-07-30/customer/list-all-customer-aliases"},{"openapi":"customer.2024-07-30.product.live POST /customer-aliases","title":"Create a new Customer Alias","href":"/reference/2024-07-30/customer/create-a-new-customer-alias"},{"openapi":"customer.2024-07-30.product.live PUT /customer-aliases/{id}","title":"Update a Customer Alias","href":"/reference/2024-07-30/customer/update-a-customer-alias"},{"openapi":"customer.2024-07-30.product.live DELETE /customer-aliases/{id}","title":"Delete a Customer Alias","href":"/reference/2024-07-30/customer/delete-a-customer-alias"},{"openapi":"customer.2024-07-30.product.live GET /customers/by-alias/{alias}","title":"Get customer by alias","href":"/reference/2024-07-30/customer/get-customer-by-alias"},{"openapi":"customer.2024-07-30.product.live GET /customers/{id}/aliases","title":"Get Customer Aliases","href":"/reference/2024-07-30/customer/get-customer-aliases"}]},{"group":"Organizations","pages":[{"openapi":"customer.2024-07-30.product.live PUT /customer-organizations/{id}/members","title":"Replace members of a customer organization","href":"/reference/2024-07-30/customer/replace-members-of-a-customer-organization"},{"openapi":"customer.2024-07-30.product.live POST /customer-organizations/{id}/members","title":"Add a customer to a customer organization","href":"/reference/2024-07-30/customer/add-a-customer-to-a-customer-organization"},{"openapi":"customer.2024-07-30.product.live POST /customer-organizations","title":"Create a customer organization","href":"/reference/2024-07-30/customer/create-a-customer-organization"}]},{"group":"Contacts","pages":[{"openapi":"customer.2024-07-30.product.live POST /customers/{customer}/contacts/{id}/archive","title":"Archive a contact","href":"/reference/2024-07-30/customer/archive-a-contact"},{"openapi":"customer.2024-07-30.product.live GET /customers/{customer}/contacts","title":"List all contacts for a customer","href":"/reference/2024-07-30/customer/list-all-contacts-for-a-customer"},{"openapi":"customer.2024-07-30.product.live POST /customers/{customer}/contacts","title":"Create a new contact","href":"/reference/2024-07-30/customer/create-a-new-contact"},{"openapi":"customer.2024-07-30.product.live PUT /customers/{customer}/contacts/{id}","title":"Update a contact","href":"/reference/2024-07-30/customer/update-a-contact"}]}]},{"group":"Invoices","pages":[{"group":"Invoices","pages":[{"openapi":"invoices.2024-07-30.product.live GET /invoices","title":"List all Invoices","href":"/reference/2024-07-30/invoices/list-all-invoices"},{"openapi":"invoices.2024-07-30.product.live POST /invoices","title":"Create an invoice","href":"/reference/2024-07-30/invoices/create-an-invoice"},{"openapi":"invoices.2024-07-30.product.live POST /invoices/{id}/draft","title":"Convert upcoming invoice to draft","href":"/reference/2024-07-30/invoices/convert-upcoming-invoice-to-draft"},{"openapi":"invoices.2024-07-30.product.live POST /invoices/merge","title":"Merge invoices","href":"/reference/2024-07-30/invoices/merge-invoices"},{"openapi":"invoices.2024-07-30.product.live POST /invoices/{id}/finalize-and-send","title":"Finalize and send invoice","href":"/reference/2024-07-30/invoices/finalize-and-send-invoice"},{"openapi":"invoices.2024-07-30.product.live PATCH /invoices/{id}/sent","title":"Patch a sent invoice","href":"/reference/2024-07-30/invoices/patch-a-sent-invoice"},{"openapi":"invoices.2024-07-30.product.live PUT /invoices/{id}/payment-status","title":"Update payment status for an invoice","href":"/reference/2024-07-30/invoices/update-payment-status-for-an-invoice"},{"openapi":"invoices.2024-07-30.product.live GET /invoices/{id}/download","title":"Download invoice PDF","href":"/reference/2024-07-30/invoices/download-invoice-pdf"},{"openapi":"invoices.2024-07-30.product.live GET /invoices/{id}","title":"Get an Invoice by ID","href":"/reference/2024-07-30/invoices/get-an-invoice-by-id"},{"openapi":"invoices.2024-07-30.product.live PUT /invoices/{id}","title":"Update an invoice","href":"/reference/2024-07-30/invoices/update-an-invoice"},{"openapi":"invoices.2024-07-30.product.live DELETE /invoices/{id}","title":"Delete an Invoice","href":"/reference/2024-07-30/inv
[...]
